Loading...
Searching...
No Matches
casacore::NNGridder< Domain, Range > Class Template Reference
scimath package (libcasa_scimath) » Mathematics_module

More...

`#include <NNGridder.h>`

## Public Member Functions

| NNGridder (const IPosition &shape, const Vector< Domain > &scale, const Vector< Domain > &offset)
virtual | ~NNGridder ()
virtual Bool | grid (Array< Range > &gridded, const Vector< Domain > &position, const Range &value)
virtual Bool | degrid (const Array< Range > &gridded, const Vector< Domain > &position, Range &value)
Public Member Functions inherited from casacore::Gridder< Domain, Range >
| Gridder ()
| Gridder (const IPosition &shape, const Vector< Domain > &scale, const Vector< Domain > &offset)
virtual | ~Gridder ()
virtual Range | correct (const IPosition &loc)
virtual void | correctX1D (Vector< Range > &factor, const Int locy)
| Return a correction vector in x for loc y.
Vector< Int > & | location (Vector< Int > &loc, const Vector< Domain > &pos)
Vector< Domain > & | position (Vector< Domain > &gpos, const Vector< Domain > &pos)
virtual Bool | onGrid (const Vector< Int > &loc)
virtual Bool | onGrid (const Vector< Int > &loc, const Vector< Int > &delta)
virtual Bool | onGrid (const Vector< Domain > &pos)
void | setOffset (const Vector< Int > &off)
void | setOffset (const IPosition &off)

## Protected Member Functions

virtual Range | correctionFactor1D (Int loc, Int len)
| Correction factor for 1 dimension.
Protected Member Functions inherited from casacore::Gridder< Domain, Range >
Int | nint (Double val)
virtual void | fillCorrectionVectors ()

## Protected Attributes

Vector< Int > | loc
Protected Attributes inherited from casacore::Gridder< Domain, Range >
Int | ndim
IPosition | shape
Vector< Domain > | scale
Vector< Domain > | offset
Vector< Domain > | posVec
Vector< Int > | locVec
Vector< Int > | shapeVec
Vector< Int > | zeroShapeVec
Vector< Int > | offsetVec
Vector< Int > | centerVec
Vector< Vector< Range > > | correctionVectors

## Detailed Description

template<class Domain, class Range>
class casacore::NNGridder< Domain, Range >

A non-negative gridding class

Definition at line 39 of file NNGridder.h.

## Constructor & Destructor Documentation

## NNGridder()

template<class Domain, class Range>

casacore::NNGridder< Domain, Range >::NNGridder | ( | const IPosition & | shape,
|  | const Vector< Domain > & | scale,
|  | const Vector< Domain > & | offset )

References casacore::Gridder< Domain, Range >::offset, casacore::Gridder< Domain, Range >::scale, and casacore::Gridder< Domain, Range >::shape.

## ~NNGridder()

template<class Domain, class Range>

virtual casacore::NNGridder< Domain, Range >::~NNGridder | ( |  | ) |

inline virtual

Definition at line 45 of file NNGridder.h.

## Member Function Documentation

## correctionFactor1D()

template<class Domain, class Range>

virtual Range casacore::NNGridder< Domain, Range >::correctionFactor1D | ( | Int | loc,
|  | Int | len )

protected virtual

Correction factor for 1 dimension.

This is virtual and must be assigned appropriately for derived classes

Implements casacore::Gridder< Domain, Range >.

References loc.

## degrid()

template<class Domain, class Range>

virtual Bool casacore::NNGridder< Domain, Range >::degrid | ( | const Array< Range > & | gridded,
|  | const Vector< Domain > & | position,
|  | Range & | value )

virtual

Implements casacore::Gridder< Domain, Range >.

References casacore::NewDelAllocator< T >::value, and casacore::Gridder< Domain, Range >::position().

## grid()

template<class Domain, class Range>

virtual Bool casacore::NNGridder< Domain, Range >::grid | ( | Array< Range > & | gridded,
|  | const Vector< Domain > & | position,
|  | const Range & | value )

virtual

Implements casacore::Gridder< Domain, Range >.

References casacore::NewDelAllocator< T >::value, and casacore::Gridder< Domain, Range >::position().

## Member Data Documentation

## loc

template<class Domain, class Range>

Vector<Int> casacore::NNGridder< Domain, Range >::loc

protected

Definition at line 58 of file NNGridder.h.

Referenced by correctionFactor1D().

The documentation for this class was generated from the following file:

- scimath/Mathematics/NNGridder.h